package ar.com.supervielle.wsdl.servicios.integracion.tarjetacredito_v1;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceFeature;
import javax.xml.ws.Service;

/**
 * This class was generated by Apache CXF 3.0.3
 * 2019-09-26T08:40:11.881-03:00
 * Generated source version: 3.0.3
 * 
 */
@WebServiceClient(name = "TarjetaCredito", 
                  wsdlLocation = "http://dasoa-01:9813/wsdl/servicios/integracion/tarjetaCredito-v1.2?wsdl",
                  targetNamespace = "http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1") 
public class TarjetaCredito extends Service {

    public final static URL WSDL_LOCATION;

    public final static QName SERVICE = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", "TarjetaCredito");
    public final static QName TarjetaCreditoSvcV13 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", "TarjetaCreditoSvc_v1.3");
    public final static QName TarjetaCreditoSvc = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", "TarjetaCreditoSvc");
    public final static QName TarjetaCreditoSvcV12 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", "TarjetaCreditoSvc_v1.2");
    public final static QName TarjetaCreditoSvcV11 = new QName("http://www.supervielle.com.ar/wsdl/servicios/integracion/tarjetaCredito-v1", "TarjetaCreditoSvc_v1.1");
    static {
        URL url = null;
        try {
            url = new URL("http://dasoa-01:9813/wsdl/servicios/integracion/tarjetaCredito-v1.2?wsdl");
        } catch (MalformedURLException e) {
            java.util.logging.Logger.getLogger(TarjetaCredito.class.getName())
                .log(java.util.logging.Level.INFO, 
                     "Can not initialize the default wsdl from {0}", "http://dasoa-01:9813/wsdl/servicios/integracion/tarjetaCredito-v1.2?wsdl");
        }
        WSDL_LOCATION = url;
    }

    public TarjetaCredito(URL wsdlLocation) {
        super(wsdlLocation, SERVICE);
    }

    public TarjetaCredito(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public TarjetaCredito() {
        super(WSDL_LOCATION, SERVICE);
    }
    
    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public TarjetaCredito(WebServiceFeature ... features) {
        super(WSDL_LOCATION, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public TarjetaCredito(URL wsdlLocation, WebServiceFeature ... features) {
        super(wsdlLocation, SERVICE, features);
    }

    //This constructor requires JAX-WS API 2.2. You will need to endorse the 2.2
    //API jar or re-run wsdl2java with "-frontend jaxws21" to generate JAX-WS 2.1
    //compliant code instead.
    public TarjetaCredito(URL wsdlLocation, QName serviceName, WebServiceFeature ... features) {
        super(wsdlLocation, serviceName, features);
    }    

    /**
     *
     * @return
     *     returns TarjetaCreditoPortTypeV13
     */
    @WebEndpoint(name = "TarjetaCreditoSvc_v1.3")
    public TarjetaCreditoPortTypeV13 getTarjetaCreditoSvcV13() {
        return super.getPort(TarjetaCreditoSvcV13, TarjetaCreditoPortTypeV13.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns TarjetaCreditoPortTypeV13
     */
    @WebEndpoint(name = "TarjetaCreditoSvc_v1.3")
    public TarjetaCreditoPortTypeV13 getTarjetaCreditoSvcV13(WebServiceFeature... features) {
        return super.getPort(TarjetaCreditoSvcV13, TarjetaCreditoPortTypeV13.class, features);
    }
    /**
     *
     * @return
     *     returns TarjetaCreditoPortTypeV1
     */
    @WebEndpoint(name = "TarjetaCreditoSvc")
    public TarjetaCreditoPortTypeV1 getTarjetaCreditoSvc() {
        return super.getPort(TarjetaCreditoSvc, TarjetaCreditoPortTypeV1.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns TarjetaCreditoPortTypeV1
     */
    @WebEndpoint(name = "TarjetaCreditoSvc")
    public TarjetaCreditoPortTypeV1 getTarjetaCreditoSvc(WebServiceFeature... features) {
        return super.getPort(TarjetaCreditoSvc, TarjetaCreditoPortTypeV1.class, features);
    }
    /**
     *
     * @return
     *     returns TarjetaCreditoPortTypeV12
     */
    @WebEndpoint(name = "TarjetaCreditoSvc_v1.2")
    public TarjetaCreditoPortTypeV12 getTarjetaCreditoSvcV12() {
        return super.getPort(TarjetaCreditoSvcV12, TarjetaCreditoPortTypeV12.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns TarjetaCreditoPortTypeV12
     */
    @WebEndpoint(name = "TarjetaCreditoSvc_v1.2")
    public TarjetaCreditoPortTypeV12 getTarjetaCreditoSvcV12(WebServiceFeature... features) {
        return super.getPort(TarjetaCreditoSvcV12, TarjetaCreditoPortTypeV12.class, features);
    }
    /**
     *
     * @return
     *     returns TarjetaCreditoPortTypeV11
     */
    @WebEndpoint(name = "TarjetaCreditoSvc_v1.1")
    public TarjetaCreditoPortTypeV11 getTarjetaCreditoSvcV11() {
        return super.getPort(TarjetaCreditoSvcV11, TarjetaCreditoPortTypeV11.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns TarjetaCreditoPortTypeV11
     */
    @WebEndpoint(name = "TarjetaCreditoSvc_v1.1")
    public TarjetaCreditoPortTypeV11 getTarjetaCreditoSvcV11(WebServiceFeature... features) {
        return super.getPort(TarjetaCreditoSvcV11, TarjetaCreditoPortTypeV11.class, features);
    }

}
